<link rel="import" href="chrome://resources/html/polymer.html">

<link rel="import" href="chrome://resources/cr_elements/cr_button/cr_button.html">
<link rel="import" href="chrome://resources/cr_elements/icons.html">
<link rel="import" href="chrome://resources/html/cr.html">
<link rel="import" href="chrome://resources/html/i18n_behavior.html">
<link rel="import" href="parental_controls_browser_proxy.html">
<link rel="import" href="../../i18n_setup.html">
<link rel="import" href="../os_route.html">
<link rel="import" href="../../settings_page/settings_animated_pages.html">
<link rel="import" href="../../settings_page/settings_subpage.html">
<link rel="import" href="../../settings_shared_css.html">

<dom-module id="settings-parental-controls-page">
  <template>
    <style include="settings-shared">
      cr-link-row {
        --cr-section-padding: 0;
      }
      /* The same width as in cr-link-row */
      .start-icon {
        width: var(--cr-link-row-icon-width, var(--cr-icon-size));
      }
    </style>
    <div id="parental-controls-item" class="settings-box two-line">
      <template is="dom-if" if="[[isChild_]]">
        <cr-link-row on-click="handleFamilyLinkButtonClick_"
            label="$i18n{parentalControlsPageTitle}"
            sub-label="$i18n{parentalControlsPageViewSettingsLabel}"
            external>
          <iron-icon icon="cr20:kite" aria-hidden="true"></iron-icon>
        </cr-link-row>
      </template>
      <template is="dom-if" if="[[!isChild_]]">
        <template is="dom-if" if="[[isAccountManagementFlowsV2Enabled_]]">
          <iron-icon class="start-icon" icon="cr20:kite"></iron-icon>
        </template>
        <div class$="[[getLabelClassList_(
                        isAccountManagementFlowsV2Enabled_)]]">
          <div id="label" aria-hidden="true">
            $i18n{parentalControlsPageTitle}
          </div>
          <div class="secondary" id="sub-label" aria-hidden="true">
            [[getSetupLabelText_(online_)]]
          </div>
        </div>
        <div class="separator"></div>
        <cr-button id="setupButton" on-click="handleSetupButtonClick_"
            disabled$="[[!online_]]" aria-labelledby="label"
            aria-describedby="sub-label"
            aria-roledescription="$i18n{parentalControlsSetUpButtonRole}">
          $i18n{parentalControlsSetUpButtonLabel}
        </cr-button>
      </template>
    </div>
  </template>
  <script src="parental_controls_page.js"></script>
</dom-module>
